### Method

# FwupdPlugin Firmware remove_image

#### Declaration [src]

    gboolean
    fu_firmware_remove_image (
      FuFirmware* self,
      FuFirmware* img,
      GError** error
    )

#### Description [src]

Remove an image from the firmware.

Available since: | 1.5.0

#### Parameters

`img` | `FuFirmware`
| A child firmware image.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the image was removed.